function [ cleDrawDat ] = cleCircle(x,y,radius)
%cleCircle    - Draw circle.
%
%   cleDrawDat = cleCircle(x, y, radius)
%       x           - Circle x centre position.
%       y           - Circle y centre position.
%       radius      - Circle radius.
%
%       cleDrawDat  - Optional output structure for further editing.
%                     If not used, data is directly writen to CleWin.

global CleWin;

if (~isnumeric(x) | ~isnumeric(y) | ~isnumeric(radius) | length(x)~=1 ...
    | length(y)~=1 | length(radius)~=1 )
    error('CleWin:cleCircle:InputError', ...
          'Incorrect input parameter(s).');
end;

%------------------------------------------------------------

cleDrawDat=cleEmpty();
cleDrawDat.cleCircle{1}.radius=radius;
cleDrawDat.cleCircle{1}.x=x;
cleDrawDat.cleCircle{1}.y=y;
cleDrawDat.cleCircle{1}.layer=CleWin.layer;

if nargout < 1,
 cleDraw(cleDrawDat)
end;

%------------------------------------------------------------

