function [ cleDrawDat ] = clePolygon(points)
%clePolygon    - Draw polygon.
%
%   cleDrawDat = clePolygon(points)
%       points      - Nx2 array of point coordinates [x y].
%
%       cleDrawDat  - Optional output structure for further editing.
%                     If not used, data is directly writen to CleWin.

global CleWin;

if ( ~isnumeric(points) )
 error('CleWin:clePolygon:InputError', ...
       'Incorrect input parameter.');
end;

if ( size(points,2)~=2 )
 points=points';
end;

if ( size(points,2)~=2 )
 error('CleWin:clePolygon:InputError', ...
       'Incorrect input parameter.');
end;


%------------------------------------------------------------

cleDrawDat=cleEmpty();
cleDrawDat.clePolygon{1}.points=points;
cleDrawDat.clePolygon{1}.layer=CleWin.layer;

if nargout < 1,
 cleDraw(cleDrawDat)
end;

%------------------------------------------------------------

