function [ cleDrawDat ] = cleRing(x,y,width,radius)
%cleRing   - Draw ring.
%
%   cleDrawDat = cleRing(x, y, width, radius)
%       x           - Ring x centre position.
%       y           - Ring y centre position.
%       width       - Ring width.
%       radius      - Ring radius.
%
%       cleDrawDat  - Optional output structure for further editing.
%                     If not used, data is directly writen to CleWin.

global CleWin;

if (~isnumeric(x) | ~isnumeric(y) | ~isnumeric(width) | ~isnumeric(radius) | length(x)~=1 ...
    | length(y)~=1 | length(width)~=1 | length(radius)~=1 )
    error('CleWin:cleCircle:InputError', ...
          'Incorrect input parameter(s).');
end;

%------------------------------------------------------------
cleDrawDat=cleEmpty();
cleDrawDat.cleRing{1}.x=x;
cleDrawDat.cleRing{1}.y=y;
cleDrawDat.cleRing{1}.width=width;
cleDrawDat.cleRing{1}.radius=radius;
cleDrawDat.cleRing{1}.layer=CleWin.layer;

if nargout < 1,
 cleDraw(cleDrawDat)
end;

%------------------------------------------------------------

