function [ cleDrawDatOut ] = cleXOR(cleDrawDatA,cleDrawDatB)
%cleXOR    - Exclusive OR on cleDrawDat structures.
%
%   cleDrawDat = cleXOR(cleDrawDatA, cleDrawDatB)
%       cleDrawDat= cleDrawDatA XOR cleDrawDatB

global CleWin;

if (~isstruct(cleDrawDatA) | ~isstruct(cleDrawDatB))
    error('CleWin:cleSubstract:InputError', ...
          'Incorrect input parameter(s).');
end;

%------------------------------------------------------------

cleDrawDatOut=cleEmpty();


for l=1:length(CleWin.layers),
 A={}; B={};
 for n=1:length(cleDrawDatA.clePolygon)
   if (cleDrawDatA.clePolygon{n}.layer==CleWin.layers(l).index)
    A{end+1}=cleDrawDatA.clePolygon{n}.points.*1E3;
   end;
 end;

 for n=1:length(cleDrawDatB.clePolygon)
   if (cleDrawDatB.clePolygon{n}.layer==CleWin.layers(l).index)
    B{end+1}=cleDrawDatB.clePolygon{n}.points.*1E3;
   end;
 end;

 if (~isempty(A) & ~isempty(B))
  C=cleCoreBoolean(A,B,3);

  %------------------------------------------------------------------------
  n=1;m=1;D=[];
  while C(n)~=0,
   D{m}=reshape(C((n+1):(n+2*C(n))),2,C(n))'.*1E-3;
   n=n+2*C(n)+1;
   m=m+1;
  end;
  %------------------------------------------------------------------------
  
  for m=1:length(D)
   cleDrawDatOut.clePolygon{end+1}.points=D{m};
   cleDrawDatOut.clePolygon{end}.layer=CleWin.layers(l).index;
  end;
 end;
 
end;
%------------------------------------------------------------

if nargout < 1,
 cleDraw(cleDrawDatOut)
end;
